// This may look like C code, but it is really -*- C++ -*-
/****************************************************************************
** $Id: fancybase.h 87 2007-12-18 17:11:32Z wglas $
**
** Copyright (C) 2003 EV-i Informationstechnologie GmbH
**
** Author: Wolfgang Glas / EV-i
**
** Global ABI stuff.
** 
*****************************************************************************/

#ifndef FANCYBASE_H
#define FANCYBASE_H

#ifdef WIN32
# ifdef __GNUC__
#  ifdef FANCYBASE_BUILD_SLIB
#   define FANCYBASE_API __attribute__((dllexport))
#  else
#   define FANCYBASE_API __attribute__((dllimport))
#  endif
# else
#  ifdef FANCYBASE_BUILD_SLIB
#   define FANCYBASE_API __declspec(dllexport)
#  else
#   define FANCYBASE_API __declspec(dllimport)
#  endif
# endif
#else
# ifdef __GNUC__
#  define FANCYBASE_INTERNAL_API __attribute__((visibility("hidden")))
# endif
#endif

#ifndef FANCYBASE_INTERNAL_API
#define FANCYBASE_INTERNAL_API
#endif

#ifndef FANCYBASE_API
#define FANCYBASE_API
#endif

#endif // ! FANCYBASE_H
